[android-components](../../../../index.md) / [mozilla.components.concept.engine.manifest](../../../index.md) / [WebAppManifest](../../index.md) / [Icon](../index.md) / [Purpose](./index.md)

# Purpose

`enum class Purpose` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/manifest/WebAppManifest.kt#L110)

### Enum Values

| Name | Summary |
|---|---|
| [BADGE](-b-a-d-g-e.md) | A user agent can present this icon where space constraints and/or color requirements differ from those of the application icon. |
| [MASKABLE](-m-a-s-k-a-b-l-e.md) | The image is designed with icon masks and safe zone in mind, such that any part of the image that is outside the safe zone can safely be ignored and masked away by the user agent. |
| [ANY](-a-n-y.md) | The user agent is free to display the icon in any context (this is the default value). |
